/* Video:
 * 
 * Handles setting up the window, handling and sending input events and
 * drawing the framebuffer to the screen.
 */

#ifndef _H_VIDEO
#define _H_VIDEO

void Vid_Init(int w, int h, int scale, int fullscreen);
void Vid_Shutdown(void);

void Vid_HandleEvents(void);
void Vid_DrawFrame(void);

int Vid_ScaleResolution(int w, int h);
void Vid_SetDisplayMode(int width, int height, int fullscreenMode);
void Vid_SetMouseLocked(int locked);

#endif
